/* Google Fonts */
@import url("https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@400;700&family=Ubuntu&display=swap");

:root {
  --primary-color: dodgerblue;
  --main-white: white;
  --off-white: ghostwhite;
  --main-black: #222;
  --main-gray: #ececec;
  --dark-gray: #afafafaf;
  --main-transition: all 0.1s linear;
  --main-spacing: 2px;

  /* https://www.cssmatic.com/box-shadow */
  --light-shadow: 2px 5px 3px 0 rgba(0, 0, 0, 0.25);
  --dark-shadow: 10px 10px 6px 0 rgba(0, 0, 0, 0.75);
}

*,
::before,
::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Roboto Slab", serif;
  color: var(--main-black);
  background: var(--off-white);
  line-height: 1.2;
  font-size: 1rem;
}

/* Navbar */
.navbar-center {
  width: 100%;
}

.nav-icons {
  display: none;
}

.nav-header {
  padding: 1rem 2rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nav-toggle {
  background: transparent;
  border: none;
  outline: none;
  font-size: 1.8rem;
  color: var(--primary-color);
  cursor: pointer;
  transition: var(--main-transition);
  -webkit-animation: bounce 1s ease-in-out infinite;
          animation: bounce 1s ease-in-out infinite;
}

@-webkit-keyframes bounce {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.2);
  }
  100% {
    transform: scale(1);
  }
}

@keyframes bounce {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.2);
  }
  100% {
    transform: scale(1);
  }
}

.nav-toggle:hover {
  transform: scale(1.4);
}

.nav-link {
  display: block;
  padding: 1rem 2rem;
  color: var(--main-black);
  text-transform: capitalize;
  font-weight: bolder;
  letter-spacing: var(--main-spacing);
  transition: var(--main-transition);
}

.nav-link:hover {
  color: var(--primary-color);
  background-color: var(--dark-gray);
  padding-left: 3rem;
}

.nav-links {
  height: 0;
  overflow: hidden;
  transition: var(--main-transition);
}

/* Functionality classes */
.show-links {
  height: 255.5px;
}

.fixed {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background: var(--main-gray);
  transition: var(--main-transition);
  box-shadow: var(--light-shadow);
  z-index: 1;
}
/* end of Functionality classes */

@media screen and (min-width: 992px) {
  .nav-toggle {
    display: none;
  }

  .nav-links {
    display: flex;
    height: auto;
  }

  .nav-icons {
    display: flex;
  }

  .nav-center {
    max-width: 1170px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    width: 100%;
  }

  .nav-header,
  .nav-link {
    padding: 0;
  }

  .nav-link:hover {
    padding: 0;
    background: transparent;
    transform: translateY(-4px) scale(1.2);
  }

  .navbar {
    padding: 1rem 2rem;
  }

  .nav-link {
    margin: 0 1rem;
  }

  .nav-icon {
    margin: 0 0.5rem;
    font-size: 1.5rem;
    color: var(--primary-color);
    transition: var(--main-transition);
  }

  .nav-icon:hover {
    color: var(--main-black);
    transform: translateY(-4px) scale(1.2);
  }
}
/* end of Navbar */

/* Main page */
.home-container {
  min-height: calc(100vh - 62px); /* nav + banner = 100vh */
  background: var(--primary-color);
  display: flex;
  align-items: center;
  justify-content: center;
}

.home-container .home-banner {
  text-align: center;
  color: var(--main-white);
  padding: 0 2rem;
}

.home-container .home-banner .banner-title {
  text-transform: uppercase;
}

.home-container .home-banner .banner-text {
  width: 85%;
  /* center */
  margin: 0 auto;

  letter-spacing: var(--main-spacing);
  font-weight: bold;
}

@media screen and (min-width: 768px) {
  .home-container {
    background: linear-gradient(rgba(30, 144, 255, 0.7), rgba(0, 0, 0, 0.3)),
      url("../img/main.jpeg") center/cover no-repeat fixed;
  }

  .home-container .home-banner .banner-text {
    width: 70%;
  }
}

/* end of Main page */

/* About us */
.about {
  background: var(--off-white);
}

.about-info h3 {
  text-transform: uppercase;
  text-align: center;
}

@media screen and (min-width: 992px) {
  .about-center {
    display: flex;
    justify-content: space-between;
  }

  .about-img,
  .about-info {
    /* Don't grow, don't shrink, width is calculated */
    flex: 0 0 calc(50% - 2rem);

    margin-bottom: 0;
    align-self: center;
  }
}

@media screen and (min-width: 1120px) {
  .about-img::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    border: 0.5rem solid var(--primary-color);
    top: -2rem;
    left: -2rem;
  }

  .about-img {
    position: relative;
  }

  .about-photo {
    position: relative;
  }
}

/* End of About us */

/* Services */
.services {
  background: var(--main-white);
}

.service {
  text-align: center;
}

.service-icon {
  font-size: 2rem;
  background: var(--primary-color);
  border-radius: 25%;
  padding: 0.5rem;
  display: inline-block;
  margin-bottom: 0.5rem;
}

.service-title {
  letter-spacing: var(--main-spacing);
}

.service-text {
  width: 80%;
  margin: 0 auto;
}

/* Two column layout */
@media screen and (min-width: 576px) {
  .services-center {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  }

  .service {
    flex: 0 0 calc(50% - 1rem);
  }
}

/* Four column layout */
@media screen and (min-width: 992px) {
  .service {
    flex: 0 0 calc(25% - 1rem);
  }
}

/* Side Icon */
@media screen and (min-width: 1170px) {
  .service {
    display: flex;
    text-align: left;
  }

  .service-icon {
    font-size: 3rem;
    align-self: flex-start;
  }

  .service-info {
    padding-left: 1rem;
  }

  .service-text {
    width: 90%;
    margin: 0;
  }
}

/* End of Services */

/* Featured Tours */
.featured-tours {
  background-color: var(--off-white);
}

.tour-card {
  box-shadow: var(--light-shadow);
  transition: var(--main-transition);
}

.tour-card:hover {
  box-shadow: var(--dark-shadow);
}

.tour-img-container {
  position: relative;
}

.tour-date {
  position: absolute;
  top: 0;
  left: 0;
  background-color: var(--primary-color);
  padding: 0.25rem;
  text-transform: uppercase;
  font-weight: bold;
}

.tour-footer {
  padding: 1.2rem 1.5rem;
}

.tour-title {
  text-transform: capitalize;
}

.tour-country {
  color: var(--primary-color);
  text-transform: capitalize;
}

.tour-info {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.tour-details p {
  line-height: 0.2;
  text-transform: capitalize;
  color: var(--main-black);
}

.tour-country {
  align-self: center;
}

.tour-link {
  text-align: center;
}

/* Two column layout */
@media screen and (min-width: 768px) {
  .featured-center {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
  }

  .tour-card {
    flex: 0 0 calc(50% - 1rem);
  }
}

/* Three column layout */
@media screen and (min-width: 1100px) {
  .tour-card {
    flex: 0 0 calc(33.33% - 1rem);
  }
}

/* end of Featured Tours */

/* Gallery */
.gallery {
  background-color: var(--main-white);
  padding: 2rem 0;
}

.gallery-center {
  margin: 0 1rem;
}

.gallery-img-container {
  /* to place icon in the middle */
  position: relative;
  background-color: var(--primary-color);
}

.gallery-icon {
  position: absolute;
  top: 50%;
  left: 50%;
  font-size: 2rem;
  transform: translate(-50%, -50%);
  color: var(--main-white);
  cursor: pointer;
  transition: var(--main-transition);
  opacity: 0;
}

.gallery-img {
  transition: var(--main-transition);
}

.gallery-img-container:hover .gallery-img {
  opacity: 0.8;
}

.gallery-img-container:hover .gallery-icon {
  opacity: 1;
}

@media screen and (min-width: 576px) {
  .gallery-center {
    display: flex;
    flex-wrap: wrap;
  }

  .gallery-img-container {
    /* flex: 0 0 50%; */
    flex-basis: 50%;
  }
}

@media screen and (min-width: 996px) {
  .gallery-img-container {
    /* flex: 0 0 25%; */
    flex-basis: 25%;
  }
}

/* end of Gallery */

/* Deals */
.deals {
  background-color: var(--off-white);
}

.input-group {
  width: 80vw;
  max-width: 600px;
  margin: 0 auto;
  display: flex;
}

.form-control {
  flex-grow: 1;
}

.form-control,
.btn-submit {
  padding: 0.5rem;
  font-size: 1rem;
  font-weight: bold;
  text-transform: uppercase;
  background: transparent;
  outline: none;
  cursor: pointer;
}

.form-control:focus {
  border: 2px solid var(--primary-color);
}

.btn-submit {
  border-left: none;
  transition: var(--main-transition);
}

.btn-submit:hover {
  border: 2px solid var(--primary-color);
  background: var(--primary-color);
  color: var(--main-white);
}

::-webkit-input-placeholder {
  font-family: "Roboto Slab", serif;
  color: var(--main-black);
  opacity: 0.3;
}

::-moz-placeholder {
  font-family: "Roboto Slab", serif;
  color: var(--main-black);
  opacity: 0.3;
}

:-ms-input-placeholder {
  font-family: "Roboto Slab", serif;
  color: var(--main-black);
  opacity: 0.3;
}

::-ms-input-placeholder {
  font-family: "Roboto Slab", serif;
  color: var(--main-black);
  opacity: 0.3;
}

::placeholder {
  font-family: "Roboto Slab", serif;
  color: var(--main-black);
  opacity: 0.3;
}

button {
  font-family: "Roboto Slab", serif;
}

/* end of Deals */

/* Footer */
.footer {
  background-color: var(--main-black);
  color: var(--main-white);
  text-align: center;
  padding: 1rem 1rem;
}

.footer-links,
.footer-icons {
  display: flex;
  justify-content: center;
  margin-bottom: 1.5rem;
  flex-wrap: wrap;
}

.footer-link {
  color: var(--main-white);
  text-transform: capitalize;
  font-size: 1rem;
  margin-right: 1rem;
  transition: var(--main-transition);
}

.footer-link:hover {
  color: var(--primary-color);
  transform: translateY(-5px);
}

.footer-icon {
  font-size: 2.5rem;
  color: var(--main-white);
  margin-right: 2rem;
  transition: var(--main-transition);
}

.footer-icon:hover {
  color: var(--primary-color);
  transform: translateY(-5px);
  /* transform: rotateZ(360deg); */
}

.copyright {
  text-transform: capitalize;
  letter-spacing: var(--main-spacing);
}

/* end of Footer */
